using Microsoft.EntityFrameworkCore;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models {
    [Table("AT_gem"), PrimaryKey("Gkz")]
    public class AT_Gem {
        [Column("gkz")]
        public int Gkz { get; private set; }

        [Column("name")]
        public string Name { get; private set; }

        [InverseProperty("Gem")]
        public virtual ISet<AT_Kg> Kgs { get; private set; }

        [InverseProperty("AtGem")]
        public virtual WbGem? WbGem { get; private set; }
    }
}
